

# MSP-EXP430FR2355
# Out Of Box Demo GUI v1.0.2


----------


This GUI allows interaction with a [MSP-EXP430FR2355 LaunchPad](http://www.ti.com/tool/msp-exp430fr2355) running its out-of-box demo software.

Using the [MSP430FR2355](http://www.ti.com/product/MSP430FR2355) MCU's four internal Smart Analog Combos, the LaunchPad implements a simple Light Sensor (using SAC0 & SAC2) and a basic Function Generator (using SAC1 & SAC3). 

> **Note:**
> 
>This out-of-box software is a simple demo created to showcase the MSP-EXP430FR2355 LaunchPad's built-in functionalities and is not meant to be a complete end user application.

# Requirements


----------


***Target Hardware:***

 - The [MSP-EXP430FR2355 LaunchPad](http://www.ti.com/tool/msp-exp430fr2355)

***Target Software:***

 - Out of box demo firmware (OutOfBox_MSP430FR2355)
 - The firmware can be downloaded in this GUI by selecting File -> Program Device...

*** Before running the Out of Box demo, please make sure your LaunchPad is running the latest firmware. To do this use File > Program Device. This will also ensure you have the current drivers and cloud agent properly installed.***


# Instructions


----------


## Connection

 1. Connect the MSP-EXP430FR2355 LaunchPad to you PC via the USB connector
 2. If not connected automatically, click on the link icon at the bottom
    left corner and make sure the serial connection has been established
    @115200 baud rate. (GUI status bar indicates "waiting for data...")

> **Note:**
> 
>  - the MSP-EXP430FR2355 LaunchPad transmits JSON formatted strings containing temperature data from  through its backchannel UART communication to this PC GUI.
>  - The browser's Developer Console can be used to view the JSON commands being sent to and from the MSP-EXP430FR2355 LaunchPad.

Press Button S2 on the LaunchPad or use the buttons in this GUI to switch between the two modes.

## Light Sensor Mode

In this mode (default on power up), the MSP-EXP430FR2355 LaunchPad development kit enters the Light Sensor
mode, in which LED1 or LED2 brightens or dims based on the amount of ambient light sensed by the
photodiode, D1.

 - Increase the amount of light hitting D1 and notice the Green LED2 gets brighter.
 - Cover up D1 using your hand and notice the Red LED1 gets brighter.

A default brightness threshold is set at approximately half of the full brightness detection
range of D1 at which both LED1 and LED2 are off. Press button S1 in the Light Sensor mode to set the new
brightness threshold at the current ambient light level.

## Function Generator Mode

In this mode, an input signal (sourced internally or externally) is fed into the SAC1
configured in the Programmable Gain Amplifier (PGA) mode to be manipulated and captured with the
internal ADC. The LaunchPad kit repeatedly measures and transfers this data to the PC through UART.

Using the GUI, the input signal source can be selected between the internal 12-bit DAC (SAC3) and an
external signal source. When the “Internal DAC” is selected as the input signal source, the GUI can be
used to generate different types of signals (sinusoidal, square, or sawtooth) of various frequencies and
amplitudes. The SAC1 PGA inverting or noninverting gain can be used to manipulate the generated signal
of the SAC3 DAC, and the output waveform is captured with the internal ADC connection and displayed
on the cloud GUI.

Alternatively, an external signal source can be directly fed into the inverting input of the SAC1 PGA by
selecting "P1.6 OA1- Inverting PGA IN" or the noninverting input of the SAC1 PGA by selecting "P1.7
OA1+ Non-inverting PGA IN" as the input signal source using the GUI. In these two input signal source
configurations, the SAC1 PGA inverting or noninverting gain can be used to manipulate the external input
signal on P1.6 or P1.7, and the output waveform is captured with the internal ADC connection and
displayed on the cloud GUI.

Finally, SAC3 and SAC1 can be completely bypassed by selecting "P1.5 ADC Direct IN" as the input
signal source. In this case, an external signal can be connected to P1.5 and measured directly by the
internal ADC of the MCU, acting as a primitive oscilloscope.